Name:          littleproxy
Version:       0.5.3
Release:       %mkrel 1
Group:         Development/Java
Summary:       High Performance HTTP Proxy
License:       ASL 2.0
URL:           http://www.littleshoot.org/littleproxy/
Source0:       https://github.com/adamfisk/LittleProxy/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(io.netty:netty:3)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.eclipse.jetty:jetty-server:8.1.17.v20150415)
BuildRequires: mvn(org.littleshoot:dnssec4j)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%if 0
# Not available test dep
BuildRequires: mvn(org.seleniumhq.selenium:selenium-java:2.28.0)
%endif

BuildArch:     noarch

%description
LittleProxy is a high performance HTTP proxy written in Java and
using the Netty networking framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n LittleProxy-%{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
#%% patch0 -p1

# Unavailable plugins
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-site-plugin
# 8.1.14.v20131031 8.1.17.v20150415
%pom_xpath_set "pom:dependency[pom:artifactId = 'jetty-server']/pom:version" 8.1.17.v20150415
%pom_xpath_inject "pom:dependency[pom:artifactId = 'jetty-server']" "
<exclusions>
    <exclusion>
    <groupId>org.eclipse.jetty.orbit</groupId>
    <artifactId>javax.servlet</artifactId>
    </exclusion>
</exclusions>"

%pom_xpath_set "pom:dependency[pom:artifactId = 'netty']/pom:version" 3

%pom_remove_dep org.seleniumhq.selenium:selenium-java
rm -r src/test/java/org/littleshoot/proxy/EndToEndStoppingTest.java

%pom_add_dep javax.servlet:javax.servlet-api:3.1.0:test

# Use web connection
rm -r src/test/java/org/littleshoot/proxy/HttpProxyTest.java
# NoClassDefFoundError: Could not initialize class org.littleshoot.proxy.ProxyUtils
rm -r src/test/java/org/littleshoot/proxy/HttpFilterTest.java \
 src/test/java/org/littleshoot/proxy/ProxyChainTest.java \
 src/test/java/org/littleshoot/proxy/ProxyUtilsTest.java \
 src/test/java/org/littleshoot/proxy/RegexHttpRequestFilterTest.java

%mvn_file :%{name} %{name}

%build


%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYRIGHT.txt LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt LICENSE.txt



%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 0.5.3-1.mga6
+ Revision: 981340
- First rebuild of the java stack
- sync package littleproxy with fedora (update to 0.5.3)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-7.mga5
+ Revision: 745368
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 27 2014 dmorgan <dmorgan> 0.4-5.mga5
+ Revision: 626956
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 0.4-4.mga4
+ Revision: 507510
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 358877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 0.4-2.mga3
+ Revision: 293290
- imported package littleproxy


* Wed Aug 22 2012 gil cattaneo <puntogil@libero.it> 0.4-2
- Adapted for f17, added PATCH1

* Sun Aug 05 2012 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm
